wibble::list::Unique< List > Struct Template Reference

`#include <list.h>`

## Public Types

typedef List::Type | Type

## Public Member Functions

bool | empty () const
Type | head () const
void | seek () const
Unique | tail () const
| Unique (List l=List())

## Public Attributes

List | m_list

## Member Typedef Documentation

## Type

template<typename List >

typedef List::Type wibble::list::Unique< List >::Type

## Constructor & Destructor Documentation

## Unique()

template<typename List >

wibble::list::Unique< List >::Unique | ( | List | l = `List()` | ) |

inline

## Member Function Documentation

## empty()

template<typename List >

bool wibble::list::Unique< List >::empty | ( |  | ) | const

inline

## head()

template<typename List >

Type wibble::list::Unique< List >::head | ( |  | ) | const

inline

## seek()

template<typename List >

void wibble::list::Unique< List >::seek | ( |  | ) | const

inline

Referenced by wibble::list::Unique< List >::tail().

## tail()

template<typename List >

Unique wibble::list::Unique< List >::tail | ( |  | ) | const

inline

References wibble::list::Unique< List >::m_list, and wibble::list::Unique< List >::seek().

## Member Data Documentation

## m_list

template<typename List >

List wibble::list::Unique< List >::m_list

mutable

Referenced by wibble::list::Unique< List >::tail().

The documentation for this struct was generated from the following file:

- list.h